Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.lang.math
Class JVMRandom

    java.lang.Object
      java.util.Random
          org.apache.commons.lang.math.JVMRandom

All Implemented Interfaces:
  java.io.Serializable

public final class JVMRandom
extends java.util.Random

`JVMRandom` is a wrapper that supports all possible Random methods via the `Math.random()` method and its system-wide `Random` object.

Since:
  2.0
Version:
  $Id: JVMRandom.java 471626 2006-11-06 04:02:09Z bayard $
See Also:
  Serialized Form

Constructor Summary
`JVMRandom()` Constructs a new instance.

Method Summary
`boolean` | `nextBoolean()` Returns the next pseudorandom, uniformly distributed boolean value from the Math.random() sequence.
`void` | `nextBytes(byte[] byteArray)` Unsupported in 2.0.
`double` | `nextDouble()` Synonymous to the Math.random() call.
`float` | `nextFloat()` Returns the next pseudorandom, uniformly distributed float value between `0.0` and `1.0` from the Math.random() sequence.
`double` | `nextGaussian()` Unsupported in 2.0.
`int` | `nextInt()` Returns the next pseudorandom, uniformly distributed int value from the Math.random() sequence.
`int` | `nextInt(int n)` Returns a pseudorandom, uniformly distributed int value between `0` (inclusive) and the specified value (exclusive), from the Math.random() sequence.
`long` | `nextLong()` Returns the next pseudorandom, uniformly distributed long value from the Math.random() sequence.
`static long` | `nextLong(long n)` Returns a pseudorandom, uniformly distributed long value between `0` (inclusive) and the specified value (exclusive), from the Math.random() sequence.
`void` | `setSeed(long seed)` Unsupported in 2.0.

Methods inherited from class java.util.Random
`next`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JVMRandom

    public JVMRandom()

  Constructs a new instance.

Method Detail

### setSeed

    public void setSeed(long seed)

  Unsupported in 2.0.

  Parameters:
    `seed` - ignored
  Throws:
    `java.lang.UnsupportedOperationException`

### nextGaussian

    public double nextGaussian()

  Unsupported in 2.0.

  Returns:
    Nothing, this method always throws an UnsupportedOperationException.
  Throws:
    `java.lang.UnsupportedOperationException`

### nextBytes

    public void nextBytes(byte[] byteArray)

  Unsupported in 2.0.

  Parameters:
    `byteArray` - ignored
  Throws:
    `java.lang.UnsupportedOperationException`

### nextInt

    public int nextInt()

  Returns the next pseudorandom, uniformly distributed int value from the Math.random() sequence.

  Returns:
    the random int

### nextInt

    public int nextInt(int n)

  Returns a pseudorandom, uniformly distributed int value between `0` (inclusive) and the specified value (exclusive), from the Math.random() sequence.

  Parameters:
    `n` - the specified exclusive max-value
  Returns:
    the random int
  Throws:
    `java.lang.IllegalArgumentException` - when `n <= 0`

### nextLong

    public long nextLong()

  Returns the next pseudorandom, uniformly distributed long value from the Math.random() sequence.

  Returns:
    the random long

### nextLong

    public static long nextLong(long n)

  Returns a pseudorandom, uniformly distributed long value between `0` (inclusive) and the specified value (exclusive), from the Math.random() sequence.

  Parameters:
    `n` - the specified exclusive max-value
  Returns:
    the random long
  Throws:
    `java.lang.IllegalArgumentException` - when `n <= 0`

### nextBoolean

    public boolean nextBoolean()

  Returns the next pseudorandom, uniformly distributed boolean value from the Math.random() sequence.

  Returns:
    the random boolean

### nextFloat

    public float nextFloat()

  Returns the next pseudorandom, uniformly distributed float value between `0.0` and `1.0` from the Math.random() sequence.

  Returns:
    the random float

### nextDouble

    public double nextDouble()

  Synonymous to the Math.random() call.

  Returns:
    the random double

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.